/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
.timeline-notification {
  > li {
    margin-bottom: 10px;
    > .fa {
      width: 25px;
      height: 25px;
      font-size: 13px;
      line-height: 25px;
      left: 21px;
      top: 4px;
    }

    /**
    * timeline item
    */
    > .timeline-item {
      margin-left: 55px;
      > .time {
        padding: 8px;
      }

      > .timeline-header,
      > .timeline-body,
      > .timeline-footer {
        padding: 6px 8px;
        line-height: inherit;
      }

      > .timeline-body {
        font-size: 13px;
        color:$gray-light;
        ul {
          padding-left: 20px;
        }
      }
    }

    // level : DEBUG
    &.level-debug {
      > .fa:before { content: $fa-var-cog; }
    }

    // level : INFO
    &.level-info {
      > .fa {
        background: $blue;
        color:#FFF;
        &:before { content: $fa-var-info; }
      }
    }

    // level : NOTICE
    &.level-notice {
      > .fa {
        background: $green;
        color:#FFF;
        &:before { content: $fa-var-check; }
      }
    }

    // level : WARNING
    &.level-warning {
      > .fa {
        background: $yellow;
        color:#FFF;
        &:before { content: $fa-var-warning; }
      }
    }

    // level : ERROR
    &.level-error,
    &.level-critical,
    &.level-alert,
    &.level-emergency {
      > .fa {
        background: $red;
        color:#FFF;
        &:before { content: $fa-var-exclamation; }
      }
      > .timeline-item {
        .time {
          color:#FFF !important;
        }
        > .timeline-header {
          background: $red;
          border-radius: 3px 3px 0 0;
          color:#FFF !important;
          * {
            color:#FFF !important;
          }
          border-color: darken($red, 10%);

          &.notification > a {
            font-weight: 400;
          }
        }
      }
    }

  }
}